[v-cloak] {
  display: none;
}


.kc-none {
  text-align: center;
  margin: 50px auto;
}


.kc-spinner {
  padding: 50px 0;
}

.kc-l-c {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

/* API以外のcss */

/* hover */


/* 終了イベント */
.kc-card.endDateTime .kc-image::before {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  content: "このイベントは終了しました\Aご参加ありがとうございました";
  white-space: pre;
  text-align: center;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  font-size: 18px;
  font-weight: 600;
  background-color: rgba(0, 0, 0, 0.3);
  color: #fff;
  z-index: 1;
}


@media screen and (max-width: 768px) {
  .kc-card.endDateTime .kc-image::before {
    font-size: 12px;
  }
}

/* 終了イベント */



/* swiper */
#kcapp {
  flex-wrap: nowrap;
}

#kcapp .kc-swiper {
  width: 100%;
  position: relative;
  overflow: hidden;
}

#kcapp .swiper-wrapper {
  flex-wrap: nowrap;
  height: auto;
  margin: 0;
  padding: 0;
}

#kcapp .swiper-wrapper .swiper-slide {
  margin: 0;
  padding: 0;
}

@media screen and (max-width: 768px) {}



/* swiper矢印 */
#kcapp .swiper-button-prev,
#kcapp .swiper-button-next {
  width: 40px;
  height: 40px;
  transition: opacity 0.3s ease;
}

#kcapp .swiper-button-prev {
  left: -20px;
}

#kcapp .swiper-button-next {
  right: -20px;
}

#kcapp .swiper-button-prev:hover,
#kcapp .swiper-button-next:hover {
  opacity: 0.5;
}

#kcapp .swiper-button-prev::after,
#kcapp .swiper-button-next::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background-image: url("https://sakura-yumehouse.com/wp-content/themes/sakura/common/images/icon_next.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

#kcapp .swiper-button-prev::after {
  transform: rotate(180deg);
}






/* topページ */
.kc-content.-sp {
  display: none;
}

@media screen and (max-width: 768px) {
  .kc-content.-pc {
    display: none;
  }

  .kc-content.-sp {
    display: block;
  }
}

.kc-content {
  max-width: 1200px;
  width: 94%;
  margin: 4rem auto 0;
  position: relative;
}

.kc-cards {
  display: flex;
  flex-wrap: wrap;
}

.kc-card {
  list-style: none;
}

.kc-link {
  color: #333;
}

.kc-shop-img {
  text-align: center;
}

.kc-image {
  position: relative;
  overflow: hidden;
  border-radius: 6px;
}

.kc-image img {
  aspect-ratio: 1/1;
  object-fit: cover;
  width: 100%;
  height: auto;
}

.kc-image .kc-label {
  display: block;
  width: 89px;
  height: 89px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1000;
}


.kc-info {
  display: flex;
  flex-direction: column;
  padding-top: 4%;
}



.kc-tags {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: .4em;
}

.kc-type,
.kc-format {
  font-size: 15px;
  line-height: 1;
  padding: .6em .8em;
  color: #fff;
}

.kc-type {
  background-color: #6e6e6e;
}

.kc-format {
  background-color: #333;
}


.kc-name {
  font-size: 17px;
  font-weight: bold;
  line-height: 1.6;
  margin: .6em 0;
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  color: #000;
  text-align: left;
}

.kc-date-box,
.kc-address-box {
  text-align: left;
  display: flex;
  line-height: 2;
  gap: .6em;
}

.kc-address-box {
  margin-top: 2%;
}

.kc-date-text,
.kc-address-text {
  display: flex;
  align-items: center;
  white-space: nowrap;
  height: fit-content;
}

.kc-date,
.kc-address {
  color: #666;
}

.kc-date,
.kc-address,
.kc-date-text,
.kc-address-text {
  font-size: 14px;
  line-height: 1.6;
}

.kc-date br {
  display: none;
}


@media screen and (max-width: 768px) {
  .kc-content {
    width: 90%;
  }

  .kc-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }

  .kc-image .kc-label {
    width: 50px;
    height: 50px;
  }

  .kc-type,
  .kc-format {
    font-size: 10px;
  }

  .kc-name {
    font-size: 13px;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
  }


  .kc-date,
  .kc-address,
  .kc-date-text,
  .kc-address-text {
    font-size: 12px;
  }

}


/* allページ */
.kc-content.-all {
  max-width: 1300px;
  margin: 3rem auto 6rem;
}

.kc-tabs {
  padding-top: 35px;
  margin: 0 auto;
  display: grid;
  width: 854px;
  gap: 34px;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin: 0 auto 80px auto;
}

.kc-tab {
  position: relative;
  font-size: 24px;
  font-weight: 600;
  line-height: 80px;
  text-align: center;
  color: #FF7482;
  background: rgba(255, 116, 130, 0.3);
  border-radius: 6px;
  display: block;
  border: none;
  transition: all 0.3s ease;
  z-index: 0;
}

.kc-tab::after {
  content: "";
  width: 0;
  height: 0;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  bottom: auto;
  margin: auto;
  border-top: 0 solid rgba(255, 116, 130, 0);
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  transition: all 0.3s ease;
  z-index: -1;

}

.kc-tab.-active {
  color: #FFF;
  background-color: #FF7482;
}

.kc-tab.-active::after {
  border-top: 10px solid #FF7482;

}

.kc-tab:hover::after {
  border-top: 10px solid #FF7482;
}

.kc-tab:hover {
  color: #FFF;
  background-color: #FF7482;
}

.kc-cards.-all {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 60px;
}

.kc-card.-all {}

@media screen and (max-width: 1100px) {
  .kc-cards.-all {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 768px) {

  .kc-tabs {
    padding-top: 20px;
    width: 100%;
    gap: 10px;
    grid-template-columns: 1fr 1fr;
    margin: 0 auto 30px auto;
  }

  .kc-tab {
    font-size: 16px;
    line-height: 50px;
  }

  .kc-tab::after {
    border-top: 0 solid #FF7482;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
  }

  .kc-tab.-active::after {
    border-top: 6px solid #FF7482;

  }

  .kc-tab:hover::after {
    border-top: 6px solid #FF7482;
  }

  .kc-cards.-all {
    column-gap: 10px;
    grid-row-gap: 20px;
  }

}